[arch-commits] Commit in ktorrent/repos (3 files)

Ronald van Haren ronald at archlinux.org
Tue Sep 30 05:46:38 EDT 2008


    Date: Tuesday, September 30, 2008 @ 05:46:38
  Author: ronald
Revision: 13939

Merged revisions 13938 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/ktorrent/trunk

........
  r13938 | ronald | 2008-09-30 11:45:43 +0200 (Tue, 30 Sep 2008) | 1 line
  
  upgpkg: ktorrent 3.1.3-1
........

Added:
  ktorrent/repos/extra-x86_64/httpserver.patch
    (from rev 13938, ktorrent/trunk/httpserver.patch)
Modified:
  ktorrent/repos/extra-x86_64/	(properties)
  ktorrent/repos/extra-x86_64/PKGBUILD

------------------+
 PKGBUILD         |   30 +++++++++++++++++-------------
 httpserver.patch |   10 ++++++++++
 2 files changed, 27 insertions(+), 13 deletions(-)


Property changes on: ktorrent/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /ktorrent/trunk:1-8616
   + /ktorrent/trunk:1-13938

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-09-30 09:45:43 UTC (rev 13938)
+++ extra-x86_64/PKGBUILD	2008-09-30 09:46:38 UTC (rev 13939)
@@ -1,27 +1,31 @@
 # $Id$
-# Maintainer: Travis Willard <travisw at wmpub.ca>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Travis Willard <travisw at wmpub.ca>
 # Contributor: Georg Grabler <ggrabler at gmail.com>
 
 pkgname=ktorrent
-pkgver=3.1.2
+pkgver=3.1.3
 pkgrel=1
 pkgdesc="A BitTorrent program for KDE"
 arch=('i686' 'x86_64')
 url="http://ktorrent.org"
-license=('GPL')
+license=('GPL2')
 depends=('kdelibs>4' 'gmp' 'qca')
 makedepends=('autoconf' 'perl' 'automoc4' 'cmake')
-source=(http://ktorrent.org/downloads/$pkgver/${pkgname}-${pkgver}.tar.bz2)
+source=(http://ktorrent.org/downloads/$pkgver/${pkgname}-${pkgver}.tar.bz2 \
+	httpserver.patch)
 options=('libtool')
-md5sums=('082c5fb35face3b7290044bc053411a6')
+md5sums=('ce199c12ce0d5947fdf9f05118d9b2b0'
+         '1f25b94615b0bbfa0457c99fb20de3e6')
 
 build() {
-	cd ${srcdir}
-	mkdir build
-	cd build
-	cmake ../${pkgname}-${pkgver} \
-		-DCMAKE_BUILD_TYPE=Release \
-		-DCMAKE_INSTALL_PREFIX=/usr
-	make
-	make DESTDIR=${pkgdir} install
+	cd ${srcdir}/$pkgname-$pkgver
+
+	# build time patch
+	patch -Np0 -i $srcdir/httpserver.patch || return 1
+
+	cmake .	-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr || return 1
+	make || return 1
+	make DESTDIR=${pkgdir} install || return 1
 }

Copied: ktorrent/repos/extra-x86_64/httpserver.patch (from rev 13938, ktorrent/trunk/httpserver.patch)
===================================================================
--- extra-x86_64/httpserver.patch	                        (rev 0)
+++ extra-x86_64/httpserver.patch	2008-09-30 09:46:38 UTC (rev 13939)
@@ -0,0 +1,10 @@
+--- plugins/webinterface/httpserver.cpp.old
++++ plugins/webinterface/httpserver.cpp
+@@ -29,6 +29,7 @@
+ #include <ktemporaryfile.h>
+ #include <k3streamsocket.h>
+ #include <k3resolver.h>
++#include <time.h>
+ 
+ #include <qfileinfo.h>
+ #include <qstringlist.h> 




More information about the arch-commits mailing list